alpha
Login
Join now
pierrelf.com
/
we
Star
Starred
Star
Something went wrong. Try again.
Fork
0
Eye filled
Watch
Watching
Watch
we (web engine): Experimental web browser project to understand the limits of Claude
Star
Starred
Star
Something went wrong. Try again.
Fork
0
Eye filled
Watch
Watching
Watch
Overview
Overview
Issues
Issues
11
Pulls
Pulls
108
Pipelines
Pipelines
we
/
crates
/
image
/
src
7 files
at
console-api
Pierre Le Fevre
·
Implement JPEG decoder (baseline DCT, Huffman, JFIF)
·
6mo ago
0f8e670c
deflate.rs
Implement DEFLATE decompressor (RFC 1951)
6mo ago
gif.rs
Fix LZW code size increment to use early change (>= instead of >)
6mo ago
jpeg.rs
Implement JPEG decoder (baseline DCT, Huffman, JFIF)
6mo ago
lib.rs
Implement JPEG decoder (baseline DCT, Huffman, JFIF)
6mo ago
pixel.rs
Add pixel format types and RGBA8 conversion utilities
6mo ago
png.rs
Implement PNG decoder (RFC 2083)
6mo ago
zlib.rs
Implement zlib decompression wrapper (RFC 1950)
6mo ago